#define INPUT_1     2
#define INPUT_2     3
#define INPUT_4     4
#define INPUT_8     5
#define BLANK_INPUT 6
#define ENABLE_PIN  7

void setup ()
{
  pinMode (BLANK_INPUT, OUTPUT);
  pinMode (ENABLE_PIN, OUTPUT);
  pinMode (INPUT_1, OUTPUT);
  pinMode (INPUT_2, OUTPUT);
  pinMode (INPUT_4, OUTPUT);
  pinMode (INPUT_8, OUTPUT);
  digitalWrite (BLANK_INPUT, LOW);
}

void loop ()
{
  static byte i = 0;
  display (i++);
  if (i > 15) i = 0;
  delay (300);
}

void display (uint8_t value)
{
  digitalWrite (INPUT_1, bitRead (value, 0));
  digitalWrite (INPUT_2, bitRead (value, 1));
  digitalWrite (INPUT_4, bitRead (value, 2));
  digitalWrite (INPUT_8, bitRead (value, 3));
}
